<template>
  <div class="commendCard">
    <div
      class="commendCardItem"
      v-for="(item, index) in commendCardData"
      :key="index"
    >
      <img :src="item.img" alt="" />
      <div class="info">
        <span class="count">
          {{ item.count }}
        </span>
        <div class="des">
          {{ item.des }}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { logout } from "@/api/login";
export default {
  props: {
    total: {},
  },
  data() {
    return {
      commendCardData: [
        {
          img: "/images/trialCenter/user.png",
          count: "",
          des: "累计注册用户",
        },
        {
          img: "/images/trialCenter/product.png",
          count: "",
          des: "限时试用产品",
        },
        {
          img: "/images/trialCenter/company.png",
          count: "",
          des: "累计服务企业",
        },
        {
          img: "/images/trialCenter/time.png",
          count: "",
          des: "免费试用时长",
        },
      ],
    };
  },
  methods: {
    getCount() {
      this.commendCardData[0].count = this.total.totalUser;
      this.commendCardData[1].count = this.total.totalFreeProd;
      this.commendCardData[2].count = this.total.totalCompany;
      this.commendCardData[3].count = this.total.totalFreeDay;
      console.log(this.commendCardData);
      this.$forceUpdate();
    },
  },
};
</script>

<style lang="scss" scoped>
.commendCard {
  display: flex;
  position: absolute;

  top: 526px;
  left: 50%;
  margin-left: -640px;
  width: 1280px;
  height: 118px;
  background: #ffffff;
  border: 1px solid #e9ebee;
  box-sizing: border-box;
  box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.12);

  .commendCardItem {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
    box-sizing: border-box;
    padding: 20px;

    img {
      margin-right: 20px;
      height: 60px;
      width: 60px;
      margin-right: 10px;
      vertical-align: middle;
    }

    .count {
      font-weight: bold;
      font-size: 28px;
      line-height: 40px;
      color: #0065ff;
    }

    .des {
      color: #999999;
      margin-top: 10px;
      font-size: 14px;
    }

    &:hover {
      box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.25);
    }
  }
}
</style>